YASR(1)

NAME
yasr - (Yet Another Screen Reader) is an attempt at a lightweight, portable screen reader.

SYNOPSIS
yasr [ -C config file ] [ -c ] [ -s synthesizer ] [ -p synthesizer port ] [ program arg1 arg2 ... argN ]

DESCRIPTION
yasr is a lightweight, portable screen reader. It works by opening a shell in a pty and intercepting all user input/output, maintaining a window of what should be on the screen by looking at the codes and text sent to the screen. It only requires that the user be able to access the text to speech (TTS) device.

yasr was originally designed in conjunction with a Speak-out TTS device. Yasr also attempts to support DEC-Talk, DoubleTalk, Apollo, and ViaVoice Outloud, but more work is needed to get these to work fully. It may be able to work with Emacspeak servers, however.

Currently yasr has two sets of keymaps, one for "review mode" (ie, reviewing the screen) and one for the standard mode. Keys defined for the standard mode are checked irrespective of whether the user is in review mode or standard mode, but the review mode keymap is checked first in the former case.

OPTIONS

-C config file
    The configuration file that yasr should use.

-c  Attempts to emulate bash's -c command. It runs /bin/sh, passing it the arguments that were passed to yasr.

-s synthesizer
    The TTS synthesizer to use in conjunction with yasr.

-p synthesizer port
    The port that the TTS synthesizer is connected to.

yasr will also fork and exec a program to run, if it (and any optional command line arguments it needs) are given as the last command line arguments.

KEYBOARD SETTINGS
Review mode

spacebar
    Say review cursor position.

^   Move to the first character on the line, and say word.

$   Move to the last character on the line, and say word.

b   Say previous character.

c   Say character.

d   Say next character.

e   Read from cursor to bottom of screen.

f   Search for text on the screen.

<   Search from cursor to top of screen, using the previously-entered search string.

>   Search from cursor to bottom of screen, using the previously-entered search string.

k   Move up a line and read the line (currently same as up arrow).

l   Say current line.

m   Move down a line and read the line (currently same as down arrow).

n   Bypass (send directly to the application).

t   Read from top to cursor.

w   Read entire screen.

z   Move to beginning of previous word and read the word.

x   Move to beginning of next word and read the word.

up arrow
    Move to previous line and read the line.

down arrow
    Move to next line and read the line.

left arrow
    Move back one character and read the character.

right arrow
    Move ahead one character and read the character.

(   Go to previous paragraph.

)   Go to next paragraph.

alt-i
    Reinitialize the synthesizer.

`   Read the ASCII value of the current character.

    Standard mode These keys also work in review mode.

ctrl-a
    Say application cursor position.

ctrl-l
    Say line.

ctrl-n
    Bypass.

ctrl-x
    Flush speech buffer.

alt-b
    Say previous character.

alt-c
    Say chracter.

alt-d
    Say word.

alt-e
    Read cursor to bottom of screen.

alt-k
    Say previous line.

alt-l
    Read line.

alt-m
    Read next line.

alt-r
    Toggle review mode.

alt-t
    Read top to cursor.

alt-w
    Read entire screen.

alt-x
    Silence speech. Like ctrl-x but will continue to be silent until a key is pressed (pressing alt-x a second time will start speech again, for example).

ctrl-alt-k
    Keyboard wizard. Allows the user to move, copy, or delete keybindings from within yasr.

ctrl-alt-o
    Options menu. Allows the user to set options from within yasr.

ctrl-alt-s
    Save configuration to disk.

alt-enter
    Disable yasr. Yasr is silent and ignores all keys when disabled. Press again to re-enable. Note: this key is defined in the [options] section as "DisableKey"

FILES

/usr/local/share/yasr/yasr.conf
    yasr configuration file.

AUTHOR
Michael P. Gorse <mgorse@users.sourceforge.net>